LegalDocuments

Get a Specific Legal Document

get

Retrieve a specific legal document for the given merchant using the unique legal document ID.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

legalDocumentIdinteger · int32Required

The unique identifier of the legal document.

Responses
200

Returns a list of the legal documents that have been provided for a specific merchant.

application/json
get
/api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId}
GET /api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId} HTTP/1.1
Host: 
Accept: */*
{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "modifyDateTimeUtc": "2025-12-05T21:07:05.632Z"
}

Update a Specific Legal Document

put

Update an existing legal document for the specified merchant using the unique legal document ID.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

legalDocumentIdinteger · int32Required

The unique identifier of the legal document.

Body
legalDocumentIdinteger · int32Optional

A unique ID of a specific legal document. A new value is generated by the backend when a document is initially created.

legalDocumentTypeNamestring | nullableOptional

A name or identifier for the legal document. Consistent across environment used when interacting with signatures. Potential values can be retrieved via the Get Legal Document Settings endpoint.

modifyDateTimeUtcstring · date-time | nullableRead-onlyOptional

UTC timestamp indicating when the legal document was last modified.

Responses
200

Returns a list of the legal documents that have been provided for a specific merchant.

application/json
put
/api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId}
PUT /api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId} HTTP/1.1
Host: 
Content-Type: application/json
Accept: */*
Content-Length: 280

{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}
{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "modifyDateTimeUtc": "2025-12-05T21:07:05.632Z"
}

Delete a Legal Document

delete

Deletes the specified legal document for the specified merchant.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

legalDocumentIdinteger · int32Required

A unique identifier of the legal document.

Responses
200

Returns a list of the legal documents that have been provided for a specific merchant.

application/json
delete
/api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId}
DELETE /api/legaldocuments/v2/documents/{merchantNumber}/{legalDocumentId} HTTP/1.1
Host: 
Accept: */*
{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "modifyDateTimeUtc": "2025-12-05T21:07:05.632Z"
}

Get All Legal Documents

get

Retrieve all legal documents associated with the specified merchant.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Responses
200

Returns a list of the legal documents that have been provided for a specific merchant.

application/json
get
/api/legaldocuments/v2/documents/{merchantNumber}
GET /api/legaldocuments/v2/documents/{merchantNumber} HTTP/1.1
Host: 
Accept: */*
{
  "content": [
    {
      "legalDocumentId": 1,
      "legalDocumentTypeName": "text",
      "content": [
        {
          "ipAddress": "text",
          "timestamp": "2025-12-05T21:07:05.632Z",
          "signatureSourceTypeId": 1,
          "signatureSectionTypeId": 1,
          "signerViewedLegalText": true,
          "businessContactId": 1,
          "documentId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "modifyDateTimeUtc": "2025-12-05T21:07:05.632Z"
    }
  ]
}

Get Legal Document Settings

get

Retrieve the settings and configuration for legal documents.

Responses
200

Returns information about all legal documents that can be collected through the API.

application/json
get
/api/legaldocuments/v2/documents/settings
GET /api/legaldocuments/v2/documents/settings HTTP/1.1
Host: 
Accept: */*
{
  "content": [
    {
      "legalDocumentTypeName": "text",
      "legalDocumentTypeId": 1,
      "availableSignatures": [
        {
          "signatureSectionTypeId": 1,
          "signatureSectionTypeName": "text",
          "displayOrder": 1,
          "printSignatureBlock": [
            {
              "printBlockID": 1,
              "printBlockName": "text"
            }
          ],
          "termsAndConditionsTypes": [
            {
              "termsAndConditionsTypeID": 1,
              "termsAndConditionsTypeName": "text",
              "description": "text"
            }
          ],
          "isRequiredToSubmitLegalDocument": true,
          "isRequiredToSubmitElectronicSignatures": true,
          "displayName": "text"
        }
      ],
      "isUploadedAsPdf": true,
      "displayName": "text",
      "isActive": true
    }
  ]
}

Get Legal Document Settings for a Specific Legal Document

get

Retrieve the settings and configuration for a specific legal document.

Path parameters
legalDocumentTypeNamestringRequired

Name of the legal document type used to retrieve its configuration settings.

Responses
200

Returns information about a specific legal document.

application/json
get
/api/legaldocuments/v2/documents/settings/{legalDocumentTypeName}
GET /api/legaldocuments/v2/documents/settings/{legalDocumentTypeName} HTTP/1.1
Host: 
Accept: */*
{
  "legalDocumentTypeName": "text",
  "legalDocumentTypeId": 1,
  "availableSignatures": [
    {
      "signatureSectionTypeId": 1,
      "signatureSectionTypeName": "text",
      "displayOrder": 1,
      "printSignatureBlock": [
        {
          "printBlockID": 1,
          "printBlockName": "text"
        }
      ],
      "termsAndConditionsTypes": [
        {
          "termsAndConditionsTypeID": 1,
          "termsAndConditionsTypeName": "text",
          "description": "text"
        }
      ],
      "isRequiredToSubmitLegalDocument": true,
      "isRequiredToSubmitElectronicSignatures": true,
      "displayName": "text"
    }
  ],
  "isUploadedAsPdf": true,
  "displayName": "text",
  "isActive": true
}

Create a New Legal Document

post

Create a new legal document for the specified merchant.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Body
legalDocumentIdinteger · int32Optional

A unique ID of a specific legal document. A new value is generated by the backend when a document is initially created.

legalDocumentTypeNamestring | nullableOptional

A name or identifier for the legal document. Consistent across environment used when interacting with signatures.

Potential values can be retrieved via the Get Legal Document Settings endpoint.

modifyDateTimeUtcstring · date-time | nullableRead-onlyOptional

UTC timestamp indicating when the legal document was last modified.

Responses
200

Returns a list of the legal documents that have been provided for a specific merchant.

application/json
post
/api/legaldocuments/v3/documents/{merchantNumber}
POST /api/legaldocuments/v3/documents/{merchantNumber} HTTP/1.1
Host: 
Content-Type: application/json
Accept: */*
Content-Length: 312

{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000",
      "allowNullBusinessContact": true
    }
  ]
}
{
  "legalDocumentId": 1,
  "legalDocumentTypeName": "text",
  "content": [
    {
      "ipAddress": "text",
      "timestamp": "2025-12-05T21:07:05.632Z",
      "signatureSourceTypeId": 1,
      "signatureSectionTypeId": 1,
      "signerViewedLegalText": true,
      "businessContactId": 1,
      "documentId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "modifyDateTimeUtc": "2025-12-05T21:07:05.632Z"
}

Last updated

Was this helpful?